#!/bin/bash
#
# hxapppushd startup script for the hxapppush
#
#
# description: start the hxapppush daemon
#
# Source function library

case "$1" in
start)
    echo "Starting hxapppushd..."
    nohup /opt/apps/org.chx.hxapppush/files/hxapppushd>/var/log/hxapppushd.log 2>&1 &
    ;;

stop)
    echo "Stopping hxapppushd..."
    killall hxapppushd
    ;;

restart)
    echo "Stopping hxapppushd..."
    killall hxapppushd
    sleep 2
    echo "Starting hxapppushd..."
    nohup /opt/apps/org.chx.hxapppush/files/hxapppushd>/var/log/hxapppushd.log 2>&1 &
    ;;

*)
    echo "Usage: hxapppushd {start|stop|restart}"
    ;;
esac
exit 0
